<p-panel header="Report Payment" [toggleable]="false">
    <div>
        <div style="margin-top: 10px; width: 100%;">
            <div class="ui-g" style="background-color: white;">
                <div class="col-md-4" style="border: 1px; color: black;">
                    <div class="ui-g-12">
                        <label for="field_PIC">Tanggal</label>
                        <div class="ui-g-12">
                            <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                yearRange="2000:2999" appendTo="body"></p-calendar>
                            <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                yearRange="2000:2999" appendTo="body"></p-calendar>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <label>Nama Supplier</label>
                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                            (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier" [minLength]="1"
                            field="nmSupplier" placeholder="Silahkan Pilih" (onSelect)="selectSupplier(true)"
                            [dropdown]="true" tabindex=1>
                        </p-autoComplete>
                    </div>
                    <div class="ui-g-12">
                        <label>Pembayaran</label>
                        <select id="field_pembayaran" name="divReciver" [(ngModel)]="radioValue" class="form-control">
                            <option [ngValue]="pembayaran.value" *ngFor="let pembayaran of pembayarans">
                                {{pembayaran.label}}</option>
                        </select>
                    </div>
                    <div class="ui-g-12">
                        <!-- <div > -->
                        <button pButton type="submit" label="Filter" icon="fa-filter"
                            class="ui-button-primary flat-label-button" (click)="filter()">
                        </button>
                        <button pButton label="Reset Filter" icon="fa-refresh"
                            class="ui-button-primary flat-label-button" (click)="reset()">
                        </button>
                        <button pButton label="Download" icon="fa-cogs"
                            class="ui-button-primary flat-label-button" (click)="export()">
                        </button>
                        <!-- </div> -->
                    </div>
                </div>
                <div class="col-md-4" style="border: 1px;  color: black;">
                    <table>
                        <tbody>
                            <tr>
                                <td>Jumlah Tagihan (Incl PPN dlm USD)</td>
                                <td> : </td>
                                <td align="right">{{jumlahtagihan | number:'1.0-2'}}</td>
                            </tr>
                            <tr>
                                <td>Jumlah Bayar</td>
                                <td> : </td>
                                <td align="right">{{jumlahbayar | number:'1.2-2'}}</td>
                            </tr>
                            <tr>
                                <td>Kurang Bayar</td>
                                <td> : </td>
                                <td align="right">{{kurangbayar | number:'1.2-2'}}</td>
                            </tr>
                            <tr>
                                <th>--------------------</th>
                                <th></th>
                                <th>--------------------</th>
                            </tr>
                            <tr>
                                <td>Jumlah PPN (dlm IDR)</td>
                                <td> : </td>
                                <td align="right">{{ppn | number:'1.0-2'}}</td>
                            </tr>
                            <tr>
                                <td>Jumlah Bayar PPN</td>
                                <td> : </td>
                                <td align="right">{{bayarppn | number:'1.0-2'}}</td>
                            </tr>
                            <tr>
                                <td>Kurang Bayar</td>
                                <td> : </td>
                                <td align="right">{{kurangbayarppn | number:'1.0-2'}}</td>
                            </tr>
                            <tr>
                                <th>--------------------</th>
                                <th></th>
                                <th>--------------------</th>
                            </tr>
                            <tr>
                                <td>Jumlah Tagihan (Excl PPN dlm USD)</td>
                                <td> : </td>
                                <td align="right">{{pokok | number:'1.0-2'}}</td>
                            </tr>
                            <tr>
                                <td>Jumlah Bayar</td>
                                <td> : </td>
                                <td align="right">{{bayarpokok | number:'1.2-2'}}</td>
                            </tr>
                            <tr>
                                <td>Kurang Bayar</td>
                                <td> : </td>
                                <td align="right">{{kurangbayarpokok | number:'1.2-2'}}</td>
                            </tr>
                        </tbody>
                    </table>
                    <!-- <div *ngIf="jumlahtagihan">
                        <label>Jumlah Tagihan : {{jumlahtagihan | number:'1.0-2'}}</label>
                    </div>
                    <div *ngIf="jumlahbayar">
                        <label>Jumlah Bayar :{{jumlahbayar | number:'1.0-2'}} </label>
                    </div>
                    <div *ngIf="ppn">
                        <label>Jumlah PPN : {{ppn | number:'1.0-2'}}</label>
                    </div>
                    <div *ngIf="bayarppn">
                        <label>Jumlah Bayar PPn : {{bayarppn | number:'1.0-2'}}</label>
                    </div>
                    <div *ngIf="pokok">
                        <label>Jumlah Pokok : {{pokok | number:'1.0-2'}}</label>
                    </div>
                    <div *ngIf="bayarpokok">
                        <label>Jumlah Bayar Pokok : {{bayarpokok | number:'1.0-2'}}</label>
                    </div> -->
                </div>
                <div class="ui-md-4">
                    <table>
                        <tbody>
                            <tr>
                                <td>Jumlah Tagihan (IDR))</td>
                                <td> : </td>
                                <td align="right">{{jumlahtagihanrp | number:'1.0-2'}}</td>
                            </tr>
                            <tr>
                                <td>Jumlah Bayar</td>
                                <td> : </td>
                                <td align="right">{{jumlahbayarrp | number:'1.0-2'}}</td>
                            </tr>
                            <tr>
                                <td>Kurang Bayar</td>
                                <td> : </td>
                                <td align="right">{{kurangbayarrp | number:'1.0-2'}}</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <!-- <div style="text-align:left">
                <div class="col-sm-6; form-group">
                    <button class="btn btn-warning float-left" (click)="export()">
                        <span class="fa fa-cog"></span>
                        <span class="hidden-sm-down">
                            export excel
                        </span>
                    </button>
                </div>
            </div> -->
            <div>
                <div><p>Shift + Scroll untuk geser kanan kiri</p></div>
                <p-dataTable [value]="payments" name="table" #table class="table">
                    <p-header>
                    </p-header>
                    <!-- <p-column *ngFor="let col of cols" [field]="col.field" [header]="col.header"></p-column> -->
                    <p-column header="No">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="Tanda Terima">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <span style="color: red;">{{rowData.nott}}</span>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <span>{{rowData.nott}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="No Invoice">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <span style="color: red;">{{rowData.invno}}</span>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <span>{{rowData.invno}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="No Faktur">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <span style="color: red;">{{rowData.taxno}}</span>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <span>{{rowData.taxno}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Bayar Kepada">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <span style="color: red;">{{rowData.paytoname}}</span>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <span>{{rowData.paytoname}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Mata Uang">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <span style="color: red;">{{rowData.valuta}}</span>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <span>{{rowData.valuta}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Jumlah Tagihan">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <div *ngIf="rowData.valuta === 'Rp' || rowData.valuta === '' || rowData.valuta === null">
                                    <span style="color: red;">{{rowData.tagihanrp | number:'1.0-2'}}</span>
                                </div>
                                <div *ngIf="rowData.valuta !== 'Rp' && rowData.valuta !== '' && rowData.valuta !== null">
                                    <span style="color: red;">{{rowData.tagihan | number:'1.0-2'}}</span>
                                </div>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <div *ngIf="rowData.valuta === 'Rp' || rowData.valuta === '' || rowData.valuta === null">
                                    <span>{{rowData.tagihanrp | number:'1.0-2'}}</span>
                                </div>
                                <div *ngIf="rowData.valuta !== 'Rp' && rowData.valuta !== '' && rowData.valuta !== null">
                                    <span>{{rowData.tagihan | number:'1.0-2'}}</span>
                                </div>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Jumlah bayar">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <div *ngIf="rowData.valuta === 'Rp' || rowData.valuta === '' || rowData.valuta === null">
                                    <span style="color: red;">{{rowData.bayarrp | number:'1.0-2'}}</span>
                                </div>
                                <div *ngIf="rowData.valuta !== 'Rp' && rowData.valuta !== '' && rowData.valuta !== null">
                                    <span style="color: red;">{{rowData.bayar | number:'1.0-2'}}</span>
                                </div>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <div *ngIf="rowData.valuta === 'Rp' || rowData.valuta === '' || rowData.valuta === null">
                                    <span>{{rowData.bayarrp | number:'1.0-2'}}</span>
                                </div>
                                <div *ngIf="rowData.valuta !== 'Rp' && rowData.valuta !== '' && rowData.valuta !== null">
                                    <span>{{rowData.bayar | number:'1.0-2'}}</span>
                                </div>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Biaya Lain">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <span style="color: red;">{{rowData.additionalcostsnote2}} - {{rowData.additionalcosts2 | number:'1.0-2'}}</span>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <span>{{rowData.additionalcostsnote2}} - {{rowData.additionalcosts2 | number:'1.0-2'}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Jumlah PPN">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <span style="color: red;">{{rowData.tagihanppn | number:'1.0-2'}}</span>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <span>{{rowData.tagihanppn | number:'1.0-2'}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Jumlah Bayar PPN">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <span style="color: red;">{{rowData.bayarppn | number:'1.0-2'}}</span>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <span>{{rowData.bayarppn | number:'1.0-2'}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Jumlah Pokok">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <span style="color: red;">{{rowData.tagihanpokok | number:'1.0-2'}}</span>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <span>{{rowData.tagihanpokok | number:'1.0-2'}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Jumlah Bayar Pokok">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <span style="color: red;">{{rowData.bayarpokok | number:'1.0-2'}}</span>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <span>{{rowData.bayarpokok | number:'1.0-2'}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Tanggal Buat">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <span style="color: red;">{{rowData.dtcreate | date:'dd-MM-yyyy'}}</span>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <span>{{rowData.dtcreate | date:'dd-MM-yyyy'}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="Jatuh Tempo">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <span style="color: red;">{{rowData.dtdue | date:'dd-MM-yyyy'}}</span>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <span>{{rowData.dtdue | date:'dd-MM-yyyy'}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <!-- <p-column header="Selisih Hari">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.diff}}
                        </ng-template>
                    </p-column> -->
                    <p-column header="Tanggal Bayar">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.islunas !== 1 ">
                                <span style="color: red;">{{rowData.dtpay | date:'dd-MM-yyyy'}}</span>
                            </div>
                            <div *ngIf="rowData.islunas === 1 ">
                                <span>{{rowData.dtpay | date:'dd-MM-yyyy'}}</span>
                            </div>
                        </ng-template>
                    </p-column>
                    <!-- <p-column header="Tanggal Release">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.tanggalrelease | date:'dd-MM-yyyy'}}
                        </ng-template>
                    </p-column> -->
                    <!-- <p-column header="Tanggal Tempo">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.tanggaltempo | date:'dd-MM-yyyy'}}
                        </ng-template>
                    </p-column> -->
                </p-dataTable>
            </div>

        </div>
    </div>
    <div>
        <!-- <div>
            <button pButton type="submit" label="Download Excel" icon="fa-print"
                class="ui-button-primary flat-label-button" (click)="exportExcel(tgl1, tgl2)">
            </button>
            <button pButton label="Kembali" class="ui-button-primary flat-label-button" (click)="backMainPage()">
            </button>
        </div> -->
    </div>
    <div style="margin-bottom: 300px;"></div>
</p-panel>
<p-confirmDialog></p-confirmDialog>